Login
Newsletter
Werbung

Sicherheit: Preisgabe von Informationen in openssl-1_1
Aktuelle Meldungen Distributionen
Name: Preisgabe von Informationen in openssl-1_1
ID: openSUSE-SU-2019:1147-1
Distribution: SUSE
Plattformen: SUSE openSUSE Leap 15.0
Datum: Fr, 5. April 2019, 07:41
Referenzen: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-1543
Applikationen: OpenSSL

Originalnachricht

   openSUSE Security Update: Security update for openssl-1_1
______________________________________________________________________________

Announcement ID: openSUSE-SU-2019:1147-1
Rating: moderate
References: #1116833 #1125494 #1128189
Cross-References: CVE-2019-1543
Affected Products:
openSUSE Leap 15.0
______________________________________________________________________________

An update that solves one vulnerability and has two fixes
is now available.

Description:

This update for openssl-1_1 (OpenSSL Security Advisory [6 March 2019])
fixes the following issues:

Security issue fixed:

- CVE-2019-1543: Fixed an implementation error in ChaCha20-Poly1305 where
it was allowed to set IV with more than 12 bytes (bsc#1128189).

Other issues addressed:

- Fixed a segfault in openssl speed when an unknown algorithm is passed
(bsc#1125494).
- Correctly skipped binary curves in openssl speed to avoid spitting
errors (bsc#1116833).

This update was imported from the SUSE:SLE-15:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.0:

zypper in -t patch openSUSE-2019-1147=1



Package List:

- openSUSE Leap 15.0 (noarch):

openssl-1_1-doc-1.1.0i-lp150.3.22.3

- openSUSE Leap 15.0 (x86_64):

libopenssl-1_1-devel-1.1.0i-lp150.3.22.3
libopenssl1_1-1.1.0i-lp150.3.22.3
libopenssl1_1-debuginfo-1.1.0i-lp150.3.22.3
libopenssl1_1-hmac-1.1.0i-lp150.3.22.3
openssl-1_1-1.1.0i-lp150.3.22.3
openssl-1_1-debuginfo-1.1.0i-lp150.3.22.3
openssl-1_1-debugsource-1.1.0i-lp150.3.22.3


References:

https://www.suse.com/security/cve/CVE-2019-1543.html
https://bugzilla.suse.com/1116833
https://bugzilla.suse.com/1125494
https://bugzilla.suse.com/1128189

--
To unsubscribe, e-mail: opensuse-security-announce+unsubscribe@opensuse.org
For additional commands, e-mail: opensuse-security-announce+help@opensuse.org
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung